package de.fraunhofer.iem.app.kpi.dto

import de.fraunhofer.iem.app.kpi.enumeration.toViewModel
import de.fraunhofer.iem.kpiCalculator.core.hierarchy.KpiCalculationNode

fun KpiCalculationNode.toViewModel(): KPITreeResponseDto {
    val children = this.hierarchyEdges.map {
        val child = it.to.toViewModel()
        KPITreeChildResponseDto(kpi = child, plannedWeight = it.plannedWeight, actualWeight = it.actualWeight)
    }

    return this.kind.toViewModel(
        value = try {
            //TODO: fixme
            // getValue()
            -1
        } catch (e: Exception) {
            -1
        }, children = children, isEmpty = false // TODO: fixme
    )
}
