package de.fraunhofer.iem.kpiCalculator.model.adapter

import de.fraunhofer.iem.kpiCalculator.model.kpi.RawValueKpiDto

enum class ErrorType { DATA_VALIDATION_ERROR }

sealed class AdapterResult {
    data class Success(val rawValueKpiDto: RawValueKpiDto) : AdapterResult()
    data class Error(val type: ErrorType) : AdapterResult()
}
